Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h	(revision 506)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/ini_histmth.h	(revision 511)
@@ -1,5 +1,4 @@
       IF (ok_mensuel) THEN
 c
-        IF(region.EQ.'3d') THEN
          zsto = dtime
          zout = dtime * ecrit_mth
@@ -10,9 +9,4 @@
          zsto2 = dtime * radpas
          PRINT*,' zsto,zsto1,zsto2,zout=',zsto, zsto1, zsto2,zout
-        ELSEIF(region.EQ.'1d') THEN
-          zsto = dtime
-c         zout = dtime
-          zout = dtime *4.
-        ENDIF
 c
          idayref = day_ref
@@ -29,10 +23,5 @@
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
          CALL histbeg("histmth.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-c071103
-c    .                 1,iim,1,jjmp1, 
-     .                 imin_debut,nbpti,
-     .                 jmin_debut,nbptj,
-c071103
-     .                 itau_phy, zjulian, dtime, 
+     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
      .                 nhori, nid_mth)
          write(*,*)'Mensuel ', itau_phy, zjulian
@@ -96,5 +85,5 @@
 c
 c ENSEMBLES END
-         CALL histdef(nid_mth, "q2m", "Specific humidity 2m", "Kg/Kg",
+         CALL histdef(nid_mth, "q2m", "Specific humidity 2m", "kg/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
@@ -112,5 +101,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "qsurf", "Surface Air humidity", "Kg/Kg",
+         CALL histdef(nid_mth, "qsurf", "Surface Air humidity", "kg/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
@@ -128,29 +117,27 @@
 c
          CALL histdef(nid_mth, "precip", "Precipitation Totale liq+sol", 
-     .                "Kg/(s*m2)",
+     .                "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "plul", "Large-scale Precip.", 
-     .   "Kg/(s*m2)",
+     .   "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "pluc", "Convective Precip.", 
-     .   "Kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "snow", "Snow fall", "Kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "snow_mass", "Snow Mass", "Kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-cIM: 071003 evap(Kg/m2/s) ==> evap(mm/day)
-        CALL histdef(nid_mth, "evap", "Evaporation", "kg/(s*m2)",
-c       CALL histdef(nid_mth, "evap", "Evaporation", "mm/day", 
+     .   "kg/(s*m2)",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "snow", "Snow fall", "kg/(s*m2)",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "snow_mass", "Snow Mass", "kg/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "evap", "Evaporation", "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
@@ -303,5 +290,5 @@
 c
          CALL histdef(nid_mth, "fqcalving","Ice Calving",
-     .                "Kg/m2/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "kg/m2/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 cIM: 171003
@@ -319,5 +306,4 @@
 cIM: 171003
 c
-cIM       if ( lev_histday.gt.1 ) then
          DO nsrf = 1, nbsrf
 C
@@ -360,5 +346,4 @@
 C
          END DO
-cIM         endif !lev_histday
 c
          CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
@@ -386,13 +371,13 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth,"cldq","Cloud liquid water path","Kg/m2",
+         CALL histdef(nid_mth,"cldq","Cloud liquid water path","kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
 cIM: 071003
-         CALL histdef(nid_mth,"lwp","Cloud water path","Kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth,"iwp","Cloud ice water path","Kg/m2",
+         CALL histdef(nid_mth,"lwp","Cloud water path","kg/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth,"iwp","Cloud ice water path","kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto,zout)
@@ -417,5 +402,5 @@
       IF(iflag_con.GE.3) THEN ! sb
 c
-         CALL histdef(nid_mth, "cape", "Conv avlbl pot ener", "J/Kg",
+         CALL histdef(nid_mth, "cape", "Conv avlbl pot ener", "J/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
@@ -429,9 +414,9 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "fbase", "Cld base mass flux", "Kg/m2/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "prw", "Precipitable water", "Kg/m2",
+         CALL histdef(nid_mth, "fbase", "Cld base mass flux", "kg/m2/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "prw", "Precipitable water", "kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
@@ -470,9 +455,9 @@
 c
 c
-         CALL histdef(nid_mth,"lwcon","Cloud water content","Kg/Kg",
+         CALL histdef(nid_mth,"lwcon","Cloud water content","kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth,"iwcon","Cloud ice water content","Kg/Kg",
+         CALL histdef(nid_mth,"iwcon","Cloud ice water content","kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
      .                "ave(X)", zsto,zout)
@@ -482,9 +467,9 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "ovap", "Specific humidity", "Kg/Kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-c        CALL histdef(nid_mth,"wvap","Water vapor mixing ratio","Kg/Kg",
+         CALL histdef(nid_mth, "ovap", "Specific humidity", "kg/kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c
+c        CALL histdef(nid_mth,"wvap","Water vapor mixing ratio","kg/kg",
 c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
@@ -527,5 +512,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "upwd", "saturated updraft", "Kg/m2/s",
+         CALL histdef(nid_mth, "upwd", "saturated updraft", "kg/m2/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -535,5 +520,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqphy", "Physics dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqphy", "Physics dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -579,17 +564,17 @@
          CALL histdef(nid_mth, "clwcon", 
      .                "Convective Cloud Liquid water content"
-     .                , "Kg/Kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth,"Ma","undilute adiab updraft","Kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dnwd", "saturated downdraft","Kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dnwd0", "unsat. downdraft", "Kg/m2/s",
+     .                , "kg/kg",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth,"Ma","undilute adiab updraft","kg/m2/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "dnwd", "saturated downdraft","kg/m2/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zsto,zout)
+c
+         CALL histdef(nid_mth, "dnwd0", "unsat. downdraft", "kg/m2/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -599,5 +584,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqdyn", "Dynamics dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqdyn", "Dynamics dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -611,5 +596,5 @@
 c    .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqcon", "Convection dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqcon", "Convection dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -623,5 +608,5 @@
      $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqlsc", "Condensation dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqlsc", "Condensation dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -631,5 +616,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqvdf", "Boundary-layer dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqvdf", "Boundary-layer dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -639,5 +624,5 @@
      .                "ave(X)", zsto,zout)
 c
-         CALL histdef(nid_mth, "dqeva", "Reevaporation dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqeva", "Reevaporation dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
@@ -656,5 +641,5 @@
      .                "ave(X)", zsto,zout)
 
-         CALL histdef(nid_mth, "dqajs", "Dry adjust. dQ", "Kg/Kg/s",
+         CALL histdef(nid_mth, "dqajs", "Dry adjust. dQ", "kg/kg/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)