Index: BOL/trunk/IPCC/table.def
===================================================================
--- BOL/trunk/IPCC/table.def	(revision 551)
+++ BOL/trunk/IPCC/table.def	(revision 561)
@@ -3,67 +3,68 @@
 # ipsl et des variables IPCC
 #
-#  Nom IPSL | unites IPSL | nom IPCC | table IPCC
-slp        | Pa         | psl        | IPCC_table_A1
-t2m        | K          | tas        | IPCC_table_A1
-precip     | kg m-2 s-1 | pr         | IPCC_table_A1
-           |            | mrsos      | IPCC_table_A1
-           |            | mrso       | IPCC_table_A1
-           |            | tauu       | IPCC_table_A1
-           |            | tauv       | IPCC_table_A1
-snow_mass  | kg m-2     | snd        | IPCC_table_A1
-           |            | hfls       | IPCC_table_A1
-sens       | W m-2      | hfss       | IPCC_table_A1
-LWdnSFC    | W m-2      | rlds       | IPCC_table_A1
-LWupSFC    | W m-2      | rlus       | IPCC_table_A1
-SWdnSFC    | W m-2      | rsds       | IPCC_table_A1
-SWupSFC    | W m-2      | rsus       | IPCC_table_A1
-tsol       | K          | ts         | IPCC_table_A1
-psol       | Pa         | ps         | IPCC_table_A1
-snow       | kg m-2 s-1 | prsn       | IPCC_table_A1
-pluc       | kg m-2 s-1 | prc        | IPCC_table_A1
-           |            | prw        | IPCC_table_A1
-           |            | mrfso      | IPCC_table_A1
-           |            | mrros      | IPCC_table_A1
-           |            | mrro       | IPCC_table_A1
-           |            | snw        | IPCC_table_A1
-           |            | snc        | IPCC_table_A1
-           |            | snm        | IPCC_table_A1
-u10m       | m s-1      | uas        | IPCC_table_A1
-v10m       | m s-1      | vas        | IPCC_table_A1
-q2m        | kg kg-1    | huss       | IPCC_table_A1
-SWdnTOA    | W m-2      | rsdt       | IPCC_table_A1
-SWupTOA    | W m-2      | rsut       | IPCC_table_A1
-topl       | W m-2      | rlut       | IPCC_table_A1
-           |            | rtmt       | IPCC_table_A1
-SWdn200    | W m-2      | rsntp      | IPCC_table_A1
-LWup200    | W m-2      | rlntp      | IPCC_table_A1
-SWdn200clr | W m-2      | rsntpcs    | IPCC_table_A1
-LWup200clr | W m-2      | rlntpcs    | IPCC_table_A1
-SWdnSFCclr | W m-2      | rsdscs     | IPCC_table_A1
-SWupSFCclr | W m-2      | rsuscs     | IPCC_table_A1
-LWdnSFCclr | W m-2      | rldscs     | IPCC_table_A1
-           |            | rlutcs     | IPCC_table_A1
-SWupTOAclr | W m-2      | rsutcs     | IPCC_table_A1
-cldt       |            | clt        | IPCC_table_A1
-lwp        | kg m-2     | clwvi      | IPCC_table_A1
-iwp        | kg m-2     | clivi      | IPCC_table_A1
-           |            | orog       | IPCC_table_A1
-pourc_ter  |            | sftlf      | IPCC_table_A1
-pourc_lic  |            | sftgif     | IPCC_table_A1
-           |            | mrsofc     | IPCC_table_A1
-rneb       |            | cl         | IPCC_table_A1
-temp       | K          | ta         | IPCC_table_A1
-vitu       | m s-1      | ua         | IPCC_table_A1
-vitv       | m s-1      | va         | IPCC_table_A1
-ovap       | kg kg-1    | hus        | IPCC_table_A1
-           |            | wap        | IPCC_table_A1
-geop       | m          | zg         | IPCC_table_A1
-rhum       |            | hur        | IPCC_table_A1
-ozone      |            | tro3       | IPCC_table_A1
-           |            | clisccp    | IPCC_table_A1
-           |            | trsul      | IPCC_table_A1
-           |            | trsult     | IPCC_table_A1
-           |            | prveg      | IPCC_table_A1
-           |            | evspsblveg | IPCC_table_A1
-           |            | zmla       | IPCC_table_A1
-           |            | rootd      | IPCC_table_A1
+# Nom IPSL | unites IPSL  | sens  | nom IPCC   | table IPCC
+#                         |positif|
+slp        | Pa           | --    | psl        | IPCC_table_A1
+t2m        | K            | --    | tas        | IPCC_table_A1
+precip     | kg m-2 s-1   | --    | pr         | IPCC_table_A1
+           |              | --    | mrsos      | IPCC_table_A1
+           |              | --    | mrso       | IPCC_table_A1
+           |              | --    | tauu       | IPCC_table_A1
+           |              | --    | tauv       | IPCC_table_A1
+snow_mass  | kg m-2       | --    | snd        | IPCC_table_A1
+           |              | --    | hfls       | IPCC_table_A1
+sens       | W m-2        | --    | hfss       | IPCC_table_A1
+LWdnSFC    | W m-2        | --    | rlds       | IPCC_table_A1
+LWupSFC    | W m-2        | --    | rlus       | IPCC_table_A1
+SWdnSFC    | W m-2        | --    | rsds       | IPCC_table_A1
+SWupSFC    | W m-2        | up    | rsus       | IPCC_table_A1
+tsol       | K            | --    | ts         | IPCC_table_A1
+psol       | Pa           | --    | ps         | IPCC_table_A1
+snow       | kg m-2 s-1   | --    | prsn       | IPCC_table_A1
+pluc       | kg m-2 s-1   | --    | prc        | IPCC_table_A1
+           |              | --    | prw        | IPCC_table_A1
+           |              | --    | mrfso      | IPCC_table_A1
+           |              | --    | mrros      | IPCC_table_A1
+           |              | --    | mrro       | IPCC_table_A1
+           |              | --    | snw        | IPCC_table_A1
+           |              | --    | snc        | IPCC_table_A1
+           |              | --    | snm        | IPCC_table_A1
+u10m       | m s-1        | --    | uas        | IPCC_table_A1
+v10m       | m s-1        | --    | vas        | IPCC_table_A1
+q2m        | kg kg-1      | --    | huss       | IPCC_table_A1
+SWdnTOA    | W m-2        | --    | rsdt       | IPCC_table_A1
+SWupTOA    | W m-2        | --    | rsut       | IPCC_table_A1
+topl       | W m-2        | --    | rlut       | IPCC_table_A1
+           |              | --    | rtmt       | IPCC_table_A1
+SWdn200    | W m-2        | --    | rsntp      | IPCC_table_A1
+LWup200    | W m-2        | --    | rlntp      | IPCC_table_A1
+SWdn200clr | W m-2        | --    | rsntpcs    | IPCC_table_A1
+LWup200clr | W m-2        | --    | rlntpcs    | IPCC_table_A1
+SWdnSFCclr | W m-2        | --    | rsdscs     | IPCC_table_A1
+SWupSFCclr | W m-2        | --    | rsuscs     | IPCC_table_A1
+LWdnSFCclr | W m-2        | --    | rldscs     | IPCC_table_A1
+           |              | --    | rlutcs     | IPCC_table_A1
+SWupTOAclr | W m-2        | --    | rsutcs     | IPCC_table_A1
+cldt       |              | --    | clt        | IPCC_table_A1
+lwp        | kg m-2       | --    | clwvi      | IPCC_table_A1
+iwp        | kg m-2       | --    | clivi      | IPCC_table_A1
+           |              | --    | orog       | IPCC_table_A1
+pourc_ter  |              | --    | sftlf      | IPCC_table_A1
+pourc_lic  |              | --    | sftgif     | IPCC_table_A1
+           |              | --    | mrsofc     | IPCC_table_A1
+rneb       | %            | --    | cl         | IPCC_table_A1
+temp       | K            | --    | ta         | IPCC_table_A1
+vitu       | m s-1        | --    | ua         | IPCC_table_A1
+vitv       | m s-1        | --    | va         | IPCC_table_A1
+ovap       | kg kg-1      | --    | hus        | IPCC_table_A1
+           |              | --    | wap        | IPCC_table_A1
+geop       | m            | --    | zg         | IPCC_table_A1
+rhum       |              | --    | hur        | IPCC_table_A1
+ozone      |              | --    | tro3       | IPCC_table_A1
+           |              | --    | clisccp    | IPCC_table_A1
+           |              | --    | trsul      | IPCC_table_A1
+           |              | --    | trsult     | IPCC_table_A1
+           |              | --    | prveg      | IPCC_table_A1
+           |              | --    | evspsblveg | IPCC_table_A1
+           |              | --    | zmla       | IPCC_table_A1
+           |              | --    | rootd      | IPCC_table_A1