Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/compile
===================================================================
--- LMDZ.3.3/branches/LF/script/compile	(revision 3)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#QSUB -r lmdzt_compile -eo -o /workdir/rech/hou/rhou909/out.lmdzt_compile
-#QSUB -lM 256Mb -ls 8Mb -lP 0 -lT 01:00:00 -lt 01:00:00 -q compil
-
-set -xv
-
-cd $WORKDIR
-date
-
-$HOME/LMDZ.3.3/makegcm_drs etat0_lmd
-$HOME/LMDZ.3.3/makegcm_drs limit_lmd
-$HOME/LMDZ.3.3/makegcm gcm
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/essai
===================================================================
--- LMDZ.3.3/branches/LF/script/essai	(revision 3)
+++ 	(revision )
@@ -1,28 +1,0 @@
-#QSUB -r lmdz32_essai -eo -o /workdir/rech/ces/rces111/out.lmdz32_essai
-#QSUB -lM 370Mb -ls 8Mb -lP 0 -lT 00:10:00 -lt 00:10:00
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def.2jours run.def
-
-cp $WORKDIR/gcm.e gcm.e ; chmod u+x gcm.e
-#maiaget lmdz32/divers/limit.nc limit7995.nc
-#maiaget lmdz32/divers/start.nc start.nc
-#maiaget lmdz32/divers/startphy.nc startphy.nc
-cp $WORKDIR/limit.nc limit7995.nc
-cp $WORKDIR/start.nc start.nc
-cp $WORKDIR/startphy.nc startphy.nc
-
-timex gcm.e
-ls -lt
-
-cp histday.nc $WORKDIR
-cp histmth.nc $WORKDIR
-cp histins.nc $WORKDIR
-cp histoire.nc $WORKDIR
-cp histmoy.nc $WORKDIR
-cp restart.nc $WORKDIR
-cp restartphy.nc $WORKDIR
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/initialisation
===================================================================
--- LMDZ.3.3/branches/LF/script/initialisation	(revision 3)
+++ 	(revision )
@@ -1,51 +1,0 @@
-#!/bin/csh
-
-# en local
-
-set dir=~lmdz/DATA
-set cp="ln -s"
-
-#===================================================================
-# Fichiers necessaires a la creations des etats initiaux
-#===================================================================
-$cp $dir/albedo.g1x1.dat albed.dat          # Albedos de surface
-$cp $dir/albedo.g1x1.dic albed.dic          
-$cp $dir/amip88.g2x2.dat amip.dat           # SST
-$cp $dir/amip88.g2x2.dic amip.dic
-$cp $dir/ecdyn.d880701.h12.dat ecdyn.dat    # Etat initial dynamique
-$cp $dir/ecdyn.d880701.h12.dic ecdyn.dic
-$cp $dir/ecphy.d880701.h12.dat ecphy.dat    # Etat initial physique
-$cp $dir/ecphy.d880701.h12.dic ecphy.dic
-$cp $dir/relief.usnavy.dat relief.dat       # Fichier de relief
-$cp $dir/relief.usnavy.dic relief.dic
-$cp $dir/rugos.g1x1.dat rugos.dat           # Rugosite de la surface
-$cp $dir/rugos.g1x1.dic rugos.dic
-#===================================================================
-
-
-if ( ! -f run.def ) then
-echo Il faut avoir sur le repertoire courant un fichier run.def
-exit
-endif
-
-# Creation des etats initiaux
-# ===========================
-echo "execution de etat0_lmd.e, sortie dans etat0_lmd.l"
-./etat0_lmd.e << EoD >! etat0_lmd.l
-181
-EoD
-
-# Creation des conditions aux limites
-# ===================================
-echo "execution de limit_lmd.e, sortie dans limit_lmd.l"
-./limit_lmd.e >! limit_lmd.l
-
-# Conditions aux limites pour les especes traces
-# ==============================================
-if ( -f limit_tr.e ) then
-$cp $dir/so2_1x1 so2_1x1
-limit_tr.e > limit_tr.l
-else
-echo Vous n avez pas cree le fichier limit_tr utilise par les versions
-echo du modele avec traceurs
-endif
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_essai
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_essai	(revision 3)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#QSUB -r lmdz32_essai -eo -o /workdir/rech/ces/rces111/out.lmdz32_essai
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 00:30:00 -lt 00:30:00
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def.10jours run.def
-
-mkdir saves
-maiaget lmdz32/divers/gcm.e gcm.e; chmod u+x gcm.e
-maiaget lmdz32/divers/limit.dat limit7995.dat
-maiaget lmdz32/divers/limit.dic limit7995.dic
-maiaget lmdz32/divers/start.dat start.dat
-maiaget lmdz32/divers/start.dic start.dic
-maiaget lmdz32/divers/startphy.dat startphy.dat
-maiaget lmdz32/divers/startphy.dic startphy.dic
-
-gcm.e
-
-ls -lt
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_etat0
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_etat0	(revision 3)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#QSUB -r lmdz32_etat0 -eo -o /workdir/rech/ces/rces111/out.etat0
-#QSUB -lM 320Mb -ls 8Mb -lP 0 -lT 00:30:00 -lt 00:30:00
-set -x
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def .
-
-maiaget /u/rech/lmd/rlmd001/datadrs/albedo.g1x1.dat albed.dat
-maiaget /u/rech/lmd/rlmd001/datadrs/albedo.g1x1.dic albed.dic
-maiaget /u/rech/lmd/rlmd001/datadrs/rugos.g1x1.dic rugos.dic
-maiaget /u/rech/lmd/rlmd001/datadrs/rugos.g1x1.dat rugos.dat
-maiaget /u/rech/lmd/rlmd001/datadrs/relief.usnavy.dic.Z relief.dic.Z
-maiaget /u/rech/lmd/rlmd001/datadrs/relief.usnavy.dat.Z relief.dat.Z
-maiaget /u/rech/lmd/rlmd001/datadrs/ecphy.d880701.h12.dic ecphy.dic
-maiaget /u/rech/lmd/rlmd001/datadrs/ecphy.d880701.h12.dat ecphy.dat
-maiaget /u/rech/lmd/rlmd001/datadrs/ecdyn.d880701.h12.dic ecdyn.dic
-maiaget /u/rech/lmd/rlmd001/datadrs/ecdyn.d880701.h12.dat ecdyn.dat
-maiaget /u/rech/lmd/rlmd001/datadrs/amip2bc7995.dic.Z amip.dic.Z
-maiaget /u/rech/lmd/rlmd001/datadrs/amip2bc7995.dat.Z amip.dat.Z
-uncompress *.Z
-
-cp $WORKDIR/etat0_lmd.e .
-etat0_lmd.e
-
-cp $WORKDIR/limit_lmd.e .
-limit_lmd.e
-
-ls -lt
-
-for n in start.nc startphy.nc limit.nc
-do
-cp $n $WORKDIR
-maiaput $n lmdz32/divers/$n
-done
-
-
-rsh shine0 qsub lmdz32/script/essai
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_sim00
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_sim00	(revision 3)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#QSUB -r lmdz32_sim00 -eo -o /workdir/rech/ces/rces111/out.lmdz32_sim00
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 09:00:00 -lt 03:00:00
-exp=sim00
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def run.def
-
-mkdir saves
-maiaget lmdz32/${exp}/gcm.e saves/gcm.e; chmod u+x saves/gcm.e
-maiaget lmdz32/divers/limit.dat saves/limit.dat
-maiaget lmdz32/divers/limit.dic saves/limit.dic
-mv run.def saves/run.def
-maiaget lmdz32/divers/start.dat saves/start.dat
-maiaget lmdz32/divers/start.dic saves/start.dic
-maiaget lmdz32/divers/startphy.dat saves/startphy.dat
-maiaget lmdz32/divers/startphy.dic saves/startphy.dic
-
-for m in 1 2 3
-do
-cp saves/gcm.e gcm.e
-cp saves/limit.dat limit7995.dat
-cp saves/limit.dic limit7995.dic
-cp saves/run.def run.def
-mv saves/start.dat .
-mv saves/start.dic .
-mv saves/startphy.dat .
-mv saves/startphy.dic .
-mp1=`expr $m + 1`
-gcm.e || exit 1
-maiaput histphy.dat lmdz32/${exp}/histphy.dat.$m
-maiaput histphy.dic lmdz32/${exp}/histphy.dic.$m
-maiaput relief.gdat lmdz32/${exp}/relief.gdat
-maiaput relief.ctl lmdz32/${exp}/relief.ctl
-maiaput restartphy.dat lmdz32/${exp}/startphy.dat.${mp1}
-maiaput restartphy.dic lmdz32/${exp}/startphy.dic.${mp1}
-maiaput restart.dat lmdz32/${exp}/start.dat.${mp1}
-maiaput restart.dic lmdz32/${exp}/start.dic.${mp1}
-mv restartphy.dat saves/startphy.dat
-mv restartphy.dic saves/startphy.dic
-mv restart.dat saves/start.dat
-mv restart.dic saves/start.dic
-ls -lt
-/bin/rm *
-done
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_sim01
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_sim01	(revision 3)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#QSUB -r lmdz32_sim01 -eo -o /workdir/rech/ces/rces111/out.lmdz32_sim01
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 09:00:00 -lt 03:00:00
-exp=sim01
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def run.def
-
-mkdir saves
-maiaget lmdz32/${exp}/gcm.e saves/gcm.e; chmod u+x saves/gcm.e
-maiaget lmdz32/divers/limit.dat saves/limit.dat
-maiaget lmdz32/divers/limit.dic saves/limit.dic
-mv run.def saves/run.def
-maiaget lmdz32/divers/start.dat saves/start.dat
-maiaget lmdz32/divers/start.dic saves/start.dic
-maiaget lmdz32/divers/startphy.dat saves/startphy.dat
-maiaget lmdz32/divers/startphy.dic saves/startphy.dic
-
-for m in 1 2 3
-do
-cp saves/gcm.e gcm.e
-cp saves/limit.dat limit7995.dat
-cp saves/limit.dic limit7995.dic
-cp saves/run.def run.def
-mv saves/start.dat .
-mv saves/start.dic .
-mv saves/startphy.dat .
-mv saves/startphy.dic .
-mp1=`expr $m + 1`
-gcm.e || exit 1
-maiaput histphy.dat lmdz32/${exp}/histphy.dat.$m
-maiaput histphy.dic lmdz32/${exp}/histphy.dic.$m
-maiaput relief.gdat lmdz32/${exp}/relief.gdat
-maiaput relief.ctl lmdz32/${exp}/relief.ctl
-maiaput restartphy.dat lmdz32/${exp}/startphy.dat.${mp1}
-maiaput restartphy.dic lmdz32/${exp}/startphy.dic.${mp1}
-maiaput restart.dat lmdz32/${exp}/start.dat.${mp1}
-maiaput restart.dic lmdz32/${exp}/start.dic.${mp1}
-mv restartphy.dat saves/startphy.dat
-mv restartphy.dic saves/startphy.dic
-mv restart.dat saves/start.dat
-mv restart.dic saves/start.dic
-ls -lt
-/bin/rm *
-done
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_sim02
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_sim02	(revision 3)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#QSUB -r lmdz32_sim02 -eo -o /workdir/rech/ces/rces111/out.lmdz32_sim02
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 09:00:00 -lt 03:00:00
-exp=sim02
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def run.def
-
-mkdir saves
-maiaget lmdz32/${exp}/gcm.e saves/gcm.e; chmod u+x saves/gcm.e
-maiaget lmdz32/divers/limit.dat saves/limit.dat
-maiaget lmdz32/divers/limit.dic saves/limit.dic
-mv run.def saves/run.def
-maiaget lmdz32/divers/start.dat saves/start.dat
-maiaget lmdz32/divers/start.dic saves/start.dic
-maiaget lmdz32/divers/startphy.dat saves/startphy.dat
-maiaget lmdz32/divers/startphy.dic saves/startphy.dic
-
-for m in 1 2 3
-do
-cp saves/gcm.e gcm.e
-cp saves/limit.dat limit7995.dat
-cp saves/limit.dic limit7995.dic
-cp saves/run.def run.def
-mv saves/start.dat .
-mv saves/start.dic .
-mv saves/startphy.dat .
-mv saves/startphy.dic .
-mp1=`expr $m + 1`
-gcm.e || exit 1
-maiaput histphy.dat lmdz32/${exp}/histphy.dat.$m
-maiaput histphy.dic lmdz32/${exp}/histphy.dic.$m
-maiaput relief.gdat lmdz32/${exp}/relief.gdat
-maiaput relief.ctl lmdz32/${exp}/relief.ctl
-maiaput restartphy.dat lmdz32/${exp}/startphy.dat.${mp1}
-maiaput restartphy.dic lmdz32/${exp}/startphy.dic.${mp1}
-maiaput restart.dat lmdz32/${exp}/start.dat.${mp1}
-maiaput restart.dic lmdz32/${exp}/start.dic.${mp1}
-mv restartphy.dat saves/startphy.dat
-mv restartphy.dic saves/startphy.dic
-mv restart.dat saves/start.dat
-mv restart.dic saves/start.dic
-ls -lt
-/bin/rm *
-done
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_sim03
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_sim03	(revision 3)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#QSUB -r lmdz32_sim03 -eo -o /workdir/rech/ces/rces111/out.lmdz32_sim03
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 09:00:00 -lt 03:00:00
-exp=sim03
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def run.def
-
-mkdir saves
-maiaget lmdz32/${exp}/gcm.e saves/gcm.e; chmod u+x saves/gcm.e
-maiaget lmdz32/divers/limit.dat saves/limit.dat
-maiaget lmdz32/divers/limit.dic saves/limit.dic
-mv run.def saves/run.def
-maiaget lmdz32/divers/start.dat saves/start.dat
-maiaget lmdz32/divers/start.dic saves/start.dic
-maiaget lmdz32/divers/startphy.dat saves/startphy.dat
-maiaget lmdz32/divers/startphy.dic saves/startphy.dic
-
-for m in 1 2 3
-do
-cp saves/gcm.e gcm.e
-cp saves/limit.dat limit7995.dat
-cp saves/limit.dic limit7995.dic
-cp saves/run.def run.def
-mv saves/start.dat .
-mv saves/start.dic .
-mv saves/startphy.dat .
-mv saves/startphy.dic .
-mp1=`expr $m + 1`
-gcm.e || exit 1
-maiaput histphy.dat lmdz32/${exp}/histphy.dat.$m
-maiaput histphy.dic lmdz32/${exp}/histphy.dic.$m
-maiaput relief.gdat lmdz32/${exp}/relief.gdat
-maiaput relief.ctl lmdz32/${exp}/relief.ctl
-maiaput restartphy.dat lmdz32/${exp}/startphy.dat.${mp1}
-maiaput restartphy.dic lmdz32/${exp}/startphy.dic.${mp1}
-maiaput restart.dat lmdz32/${exp}/start.dat.${mp1}
-maiaput restart.dic lmdz32/${exp}/start.dic.${mp1}
-mv restartphy.dat saves/startphy.dat
-mv restartphy.dic saves/startphy.dic
-mv restart.dat saves/start.dat
-mv restart.dic saves/start.dic
-ls -lt
-/bin/rm *
-done
-
Index: LMDZ.3.3/tags/IPSL-CM4_IPCC/script/lancer_sim04
===================================================================
--- LMDZ.3.3/branches/LF/script/lancer_sim04	(revision 3)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#QSUB -r lmdz32_sim04 -eo -o /workdir/rech/ces/rces111/out.lmdz32_sim04
-#QSUB -lM 290Mb -ls 8Mb -lP 0 -lT 09:00:00 -lt 03:00:00
-exp=sim04
-
-set -xv
-
-cd $TMPDIR
-date
-
-cp $HOME/lmdz32/run.def run.def
-
-mkdir saves
-maiaget lmdz32/${exp}/gcm.e saves/gcm.e; chmod u+x saves/gcm.e
-maiaget lmdz32/divers/limit.nc saves/limit.nc
-mv run.def saves/run.def
-maiaget lmdz32/divers/start.nc saves/start.nc
-maiaget lmdz32/divers/startphy.nc saves/startphy.nc
-
-for m in 1 2 3
-do
-cp saves/gcm.e gcm.e
-cp saves/limit.nc limit7995.nc
-cp saves/run.def run.def
-mv saves/start.nc .
-mv saves/startphy.nc .
-mp1=`expr $m + 1`
-gcm.e || exit 1
-maiaput histphy.nc lmdz32/${exp}/histphy.nc.$m
-maiaput histday.nc lmdz32/${exp}/histday.nc.$m
-maiaput relief.gdat lmdz32/${exp}/relief.gdat
-maiaput relief.ctl lmdz32/${exp}/relief.ctl
-maiaput restartphy.nc lmdz32/${exp}/startphy.nc.${mp1}
-maiaput restart.nc lmdz32/${exp}/start.nc.${mp1}
-mv restartphy.nc saves/startphy.nc
-mv restart.nc saves/start.nc
-ls -lt
-/bin/rm *
-done
-